Bug 828123 - Seam 2.3 distribution text files issues
Seam 2.3 distribution text files issues
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
high Severity medium
: ---
: 2.0.0.ER8
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 06:06 EDT by Marek Schmidt
Modified: 2012-06-22 04:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 04:11:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-06-04 06:06:34 EDT
1. clustering-howto.txt
    - should be updated wrt. AS7/EAP6

2. lgpl.txt
    - wrong (old) FSF Address
        should be

            Free Software Foundation
            51 Franklin Street, Fifth Floor
            Boston, MA 02110-1301
            USA

            see

                http://www.fsf.org/about/contact/

            or the current version of lgpl 2.1

                http://www.gnu.org/licenses/lgpl-2.1.html

3. readme.txt
    - references to JBoss AS 7.1.1.Final should be changed to EAP 6

4. release-process.txt contains lots of "TODO update for 2.3.0", which should be fixed

5. seam-gen/README
    - "(JBoss AS 5.1 is strongly recommended)" string should be removed

6. changelog.txt
    - Should be removed in the productized version

7. copyright.txt
    - The copyright year should probably be updated.
    - My name is missing :)
Comment 1 Marek Novotny 2012-06-09 15:56:55 EDT
wrt 1. there is nice guide at https://docs.jboss.org/author/display/AS71/AS7+Cluster+Howto

All other is already there as backport of JBSEAM-4982
Comment 2 Marek Novotny 2012-06-11 04:07:35 EDT
additional change for readme.txt and replacement for JBoss AS7 with EAP6
Comment 3 Marek Novotny 2012-06-11 04:12:49 EDT
(In reply to comment #0)
> 1. clustering-howto.txt
>     - should be updated wrt. AS7/EAP6
> 
This file I will exclude from distribution and add again there after I have a time to update it correctly.
Comment 4 Marek Schmidt 2012-06-12 10:28:59 EDT
verified described changes in WFK 2.0.0.ER8

Note You need to log in before you can comment on or make changes to this bug.